Bug 735649 - Presto breaks yum clean all (trivial?)
Summary: Presto breaks yum clean all (trivial?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-presto
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 15:26 UTC by Alex Hudson (Fedora Address)
Modified: 2011-10-20 04:01 UTC (History)
5 users (show)

Fixed In Version: yum-presto-0.7.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-20 04:01:20 UTC


Attachments (Terms of Use)

Description Alex Hudson (Fedora Address) 2011-09-04 15:26:45 UTC
Description of problem:

"yum clean all" fails:

$ sudo yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora flash updates-testing
Cleaning up Everything
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 140, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 462, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1044, in doCommand
    return base.cleanCli(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1388, in cleanCli
    self.plugins.run('clean')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 184, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/presto.py", line 696, in clean_hook
    self.verbose_logger.info('1 %s file removed by presto' % (removed, filetype))
TypeError: not all arguments converted during string formatting


Version-Release number of selected component (if applicable):

yum-presto-0.7.0-1.fc16.noarch

Comment 1 Richard W.M. Jones 2011-09-21 20:11:41 UTC
Same here with:

yum-presto-0.7.0-1.fc16.noarch
yum-3.4.3-4.fc16.noarch

Comment 2 Fedora Update System 2011-10-14 23:47:45 UTC
yum-presto-0.7.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yum-presto-0.7.1-1.fc16

Comment 3 Fedora Update System 2011-10-15 14:30:54 UTC
Package yum-presto-0.7.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-presto-0.7.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14361
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-20 04:01:20 UTC
yum-presto-0.7.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.